FairMQTransportFactoryNN Class Referencefinal
Inheritance diagram for FairMQTransportFactoryNN:
[legend]
Collaboration diagram for FairMQTransportFactoryNN:
[legend]

## Public Member Functions

| FairMQTransportFactoryNN (const std::string &id="", const FairMQProgOptions *config=nullptr)
FairMQMessagePtr | CreateMessage () override
| Create empty FairMQMessage. More...
FairMQMessagePtr | CreateMessage (const size_t size) override
| Create new FairMQMessage of specified size. More...
FairMQMessagePtr | CreateMessage (void *data, const size_t size, fairmq_free_fn *ffn, void *hint=nullptr) override
| Create new FairMQMessage with user provided buffer and size. More...
FairMQMessagePtr | CreateMessage (FairMQUnmanagedRegionPtr &region, void *data, const size_t size, void *hint=0) override
FairMQSocketPtr | CreateSocket (const std::string &type, const std::string &name) override
| Create a socket.
FairMQPollerPtr | CreatePoller (const std::vector< FairMQChannel > &channels) const override
| Create a poller for a single channel (all subchannels)
FairMQPollerPtr | CreatePoller (const std::vector< FairMQChannel *> &channels) const override
| Create a poller for specific channels.
FairMQPollerPtr | CreatePoller (const std::unordered_map< std::string, std::vector< FairMQChannel >> &channelsMap, const std::vector< std::string > &channelList) const override
| Create a poller for specific channels (all subchannels)
FairMQUnmanagedRegionPtr | CreateUnmanagedRegion (const size_t size, FairMQRegionCallback callback) const override
fair::mq::Transport | GetType () const override
| Get transport type.
void | Interrupt () override
void | Resume () override
void | Reset () override
Public Member Functions inherited from FairMQTransportFactory
| FairMQTransportFactory (const std::string &id)
auto | GetId () const -> const std::string
fair::mq::ChannelResource * | GetMemoryResource ()
| Get a pointer to the associated polymorphic memory resource.
template<typename T >
FairMQMessagePtr | NewSimpleMessage (const T &data)
template<std::size_t N>
FairMQMessagePtr | NewSimpleMessage (const char(&data)[N])
FairMQMessagePtr | NewSimpleMessage (const std::string &str)
template<typename T >
FairMQMessagePtr | NewStaticMessage (const T &data)
FairMQMessagePtr | NewStaticMessage (const std::string &str)

## Additional Inherited Members

Static Public Member Functions inherited from FairMQTransportFactory
static auto | CreateTransportFactory (const std::string &type, const std::string &id="", const FairMQProgOptions *config=nullptr) -> std::shared_ptr< FairMQTransportFactory >
static void | FairMQNoCleanup (void *, void *)
template<typename T >
static void | FairMQSimpleMsgCleanup (void *, void *obj)

## Member Function Documentation

## CreateMessage() [1/3]

FairMQMessagePtr FairMQTransportFactoryNN::CreateMessage | ( |  | ) |

overridevirtual

Create empty FairMQMessage.

Returns
  pointer to FairMQMessage

Implements FairMQTransportFactory.

## CreateMessage() [2/3]

FairMQMessagePtr FairMQTransportFactoryNN::CreateMessage | ( | const size_t | size | ) |

overridevirtual

Create new FairMQMessage of specified size.

Parameters

  size | message size

Returns
  pointer to FairMQMessage

Implements FairMQTransportFactory.

## CreateMessage() [3/3]

FairMQMessagePtr FairMQTransportFactoryNN::CreateMessage | ( | void * | data,
|  | const size_t | size,
|  | fairmq_free_fn * | ffn,
|  | void * | hint = `nullptr`
| ) |  |

overridevirtual

Create new FairMQMessage with user provided buffer and size.

Parameters

  data | pointer to user provided buffer
  size | size of the user provided buffer
  ffn | callback, called when the message is transfered (and can be deleted)
  obj | optional helper pointer that can be used in the callback

Returns
  pointer to FairMQMessage

Implements FairMQTransportFactory.

The documentation for this class was generated from the following files:

- fairmq/nanomsg/FairMQTransportFactoryNN.h
- fairmq/nanomsg/FairMQTransportFactoryNN.cxx

privacy